# Hi, I'm Darnell! 
**Security Engineer**  

<div align="center">
  <img src="https://git.naxslabs.com/darnellkeith/logos/raw/branch/main/logo-blue.png
" width="400" height="200"/>
</div>

## About Me
Navy veteran with a strong background in IT, sales, and e-commerce. What drew me to cybersecurity was the same curiosity I had as a kid—taking things apart and putting them back together. That habit evolved into a passion for understanding and securing systems.

**I believe security professionals shouldn't be confined to a single discipline—true understanding comes from a holistic view of how systems interact. I learn, build, and operate with that mindset every day.**


## 📖 Background
Serving aboard the USS Kitty Hawk, a steam-powered aircraft carrier, taught me discipline, structure, and how complex systems operate under pressure. After the Navy, I explored IT, sales, and eventually built and ran my own e-commerce businesses, incorporating two things I'm passionate about: fitness and tech.

Those experiences shaped how I think about security: layered, resilient, and people-centered. I eventually shifted toward cybersecurity, with strong interests in network security and identity and access management. These days, I have developed an appreciation for all areas of cybersecurity, but I find the most enjoyment in building and configuring systems.



## 🧭 Why This Portfolio Exists
This portfolio is dual purposed—it's a space to document my progression, share labs and projects (some answering questions from Discord), and lay the groundwork for other projects.
## 🔒 Security Projects:
- [AD Sync with Okta](https://naxslabs.com/how-to-sync-active-directory-with-okta/)
- [Okta Policies & Conditional Access](https://naxslabs.com/okta-policies-enrollment-authentication-and-session-control/)
- [Azure SOC with Sentinel](https://git.naxslabs.com/darnellkeith/azure_soc)
- [Protecting Sensitive Data with IPsec](https://naxslabs.com/protecting-sensitive-data-with-ipsec)
- [Managing Log Files with Syslog-ng](https://naxslabs[.]com) (In Progress)


## 🎓 Education:
<table>
  <tr>
    <td align="center">
      <strong>Bachelor of Science</strong><br/>
      Cybersecurity and Information Assurance<br/>
      <em>Western Governors University</em>
    </td>
    <td align="center">
      <strong>Master of Science</strong><br/>
      Cybersecurity and Information Assurance<br/>
      <em>Western Governors University</em><br/>
      <small>Starting November 2025</small>
    </td>
  </tr>
</table>

## 🛡️ Certifications

<table>
  <tr>
    <td align="center">
      <a href="https://www.credly.com/badges/3f833478-576b-4683-ad2f-8f3b091d667e/public_url">
        <img src="https://git.naxslabs.com/darnellkeith/.profile/raw/branch/master/badges/gcih.png" width="100"/><br/>GCIH
      </a>
    </td>
    <td align="center">
      <a href="https://www.credly.com/badges/0468c3e5-d587-40f4-873f-b031d70ab899/public_url">
        <img src="https://git.naxslabs.com/darnellkeith/.profile/raw/branch/master/badges/gsec.png" width="100"/><br/>GSEC
      </a>
    </td>
    <td align="center">
      <a href="https://www.credly.com/badges/3ffebfe7-4e15-4ce9-8046-872abb59ed91">
        <img src="https://git.naxslabs.com/darnellkeith/.profile/raw/branch/master/badges/pen.png" width="100"/><br/>PenTest+
      </a>
    </td>
    <td align="center">
      <a href="https://www.credly.com/badges/b8daec80-4ae2-4d7a-a874-27e25042ff9e/public_url">
        <img src="https://git.naxslabs.com/darnellkeith/.profile/raw/branch/master/badges/project.png" width="100"/><br/>Project+
      </a>
    </td>
  </tr>
  <tr>
    <td align="center">
      <a href="https://www.credly.com/badges/3ffebfe7-4e15-4ce9-8046-872abb59ed91">
        <img src="https://git.naxslabs.com/darnellkeith/.profile/raw/branch/master/badges/cysa.png" width="100"/><br/>CySA+
      </a>
    </td>
    <td align="center">
      <a href="https://www.credly.com/badges/0024454e-9960-4de7-bac0-a1e8b75bde8c/linked_in_profile">
        <img src="https://git.naxslabs.com/darnellkeith/.profile/raw/branch/master/badges/sscp.png" width="100"/><br/>SSCP
      </a>
    </td>
    <td align="center">
      <a href="https://www.credly.com/badges/223767b7-027c-4649-83ec-30d351595372/linked_in_profile">
        <img src="https://git.naxslabs.com/darnellkeith/.profile/raw/branch/master/badges/ccna.png" width="100"/><br/>CCNA
      </a>
    </td>
    <td align="center">
      <a href="https://www.credly.com/badges/9f5bd141-e245-4f45-b84a-4a93bfe60abf">
        <img src="https://git.naxslabs.com/darnellkeith/.profile/raw/branch/master/badges/jncia.png" width="100"/><br/>JNCIA
      </a>
    </td>
  </tr>
</table>

- CompTIA: A+, Network+, Security+
- LPI: Linux Essentials
- ITIL v4 Foundations
- Oracle Cloud Infrastructure 2025
- LetsDefend SOC Learning Path 

**In Progress:**
- CCSP (7-15-2025)
- Okta Professional (8-23-25)


## 📚 Other Projects:
- [BAIC Institute](hxxps://baicinstitute[.]org)
- [NAXS LABS](https://naxslabs.com) (Under Construction)


## 🤝 Connect with me:
[Website](https://naxslabs.com) | [LinkedIn](https://linkedin.com/in/darnellkeith) | [Email](mailto:darnell@naxslabs.com)

